<?php namespace App\Http\Requests\Short;

use App\Http\Requests\BaseRequest;

/**
 * 菜单验证器
 * 
 */
class Link extends BaseRequest
{
    /**
     * 获取应用于请求的规则
     *
     * @return array
     */
    public function rules()
    {
        return [
            // 有时候我们希望某个字段在第一次验证失败后就停止运行验证规则，只需要将 bail 添加到规则中：
            // 验证字段，验证规则，提示信息
	        'origin_url' 		=> 'required',
        ];
    }

    // 场景列表
    protected $scenes = [
		'add'  		            => ['origin_url'],
	];
    
    /**
     * 获取已定义验证规则的错误消息
     *
     * @return array
     */
    public function messages()
    {
        return [
            'origin_url.required'   => '请填写需要转换的链接',
        ];
    }

}
